# $Revision: 1.41 $, $Date: 2008/10/03 17:45:36 $
#
# Conditional build:
%bcond_without	eds	# without evolution-data-sever support
%bcond_without	pgsql	# without PostgreSQL storage module
#
Summary:	A project management program that can help build plans, and track the progress
Summary(pl.UTF-8):	System zarządzania projektem pomocny przy planowaniu i śledzeniu postępu
Summary(pt_BR.UTF-8):	Planner é um programa para gerenciamento de projetos
Name:		planner
Version:	0.14.3
Release:	3
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/planner/0.14/%{name}-%{version}.tar.bz2
# Source0-md5:	9aee1307f8b9d643241473791f0efa64
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-missing-semicolon.patch
URL:		http://www.imendio.com/projects/planner/
BuildRequires:	GConf2-devel >= 2.18.0.1
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	gnome-vfs2-devel >= 2.18.0.1
BuildRequires:	gtk+2-devel >= 2:2.10.10
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	intltool >= 0.35.5
BuildRequires:	libglade2-devel >= 1:2.6.0
BuildRequires:	libgnomeprintui-devel >= 2.18.0
BuildRequires:	libgnomeui-devel >= 2.18.1
BuildRequires:	libgsf-devel >= 1.14.1
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.27
BuildRequires:	libxslt-devel >= 1.1.23
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.3.2
BuildRequires:	python-pygtk-devel >= 2:2.10.4
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
%if %{with eds}
BuildRequires:	evolution-data-server-devel >= 1.10.0
%endif
%if %{with pgsql}
BuildRequires:	libgda-devel >= 1:1.2.3
BuildRequires:	postgresql-devel
%endif
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires(post,postun):	shared-mime-info
Requires(post,preun):	GConf2
%{?with_eds:Requires:	evolution-data-server >= 1.10.0}
Requires:	hicolor-icon-theme
Obsoletes:	libmrproject
Obsoletes:	mrproject
Obsoletes:	python-libmrproject
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libplanner-1.so.0

%description
A project management program that can help build project plans, and
track the progress of a project.

%description -l pl.UTF-8
Program wspomagający zarządzanie projektami, tworzenie planów i
śledzenie postępu w wykonaniu projektu.

%description -l pt_BR.UTF-8
Planner é um gerenciador de projetos baseado no GNOME.

%package devel
Summary:	Header files for planner library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki planner
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.11
Requires:	libgsf-devel >= 1.14.1
Requires:	libxml2-devel >= 1:2.6.27
Obsoletes:	libmrproject-devel
Obsoletes:	libmrproject-static

%description devel
Header files for planner library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki planner.

%package apidocs
Summary:	libplanner API documentation
Summary(pl.UTF-8):	Dokumentacja API libplanner
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libplanner API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libplanner.

%package storage-pgsql
Summary:	PostgreSQL storage module for Planner
Summary(pl.UTF-8):	Moduł przechowywania danych w bazie PostgreSQL dla Plannera
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gda-postgres >= 1:1.2.3
Obsoletes:	libmrproject-storage-pgsql
Obsoletes:	mrproject-storage-pgsql

%description storage-pgsql
PostgreSQL storage module for Planner application.

%description storage-pgsql -l pl.UTF-8
Moduł przechowywania danych w bazie PostgreSQL dla Plannera.

%package -n python-planner
Summary:	Python binding for Planner library
Summary(pl.UTF-8):	Wiązanie Pythona do biblioteki Planner
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs
Requires:	python-pygtk-devel >= 2:2.10.4

%description -n python-planner
Python binding for Planner library.

%description -n python-planner -l pl.UTF-8
Wiązanie Pythona do biblioteki Planner.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
cp -f /usr/share/automake/config.sub .
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-update-mimedb \
	%{?with_eds:--enable-eds} \
	%{?with_pgsql:--enable-database} \
	--enable-gtk-doc \
	--enable-python \
	--enable-python-plugin \
	--enable-timetable
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir} \
	sqldocdir=%{_docdir}/%{name}-%{version} \
	sampledir=%{_examplesdir}/%{name}-%{version} \
	omf_dest_dir=%{_omf_dest_dir}

# useless - modules loaded through gmodule
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/application/*.xml
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/{XMLnamespaces,globs,magic}
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/{,*/}*.la
rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.la

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%gconf_schema_install %{name}.schemas
%scrollkeeper_update_post
%update_desktop_database_post
%update_mime_database
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall %{name}.schemas

%postun
/sbin/ldconfig
%scrollkeeper_update_postun
%update_desktop_database_postun
%update_mime_database
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libplanner-1.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libplanner-1.so.0

%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/file-modules
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/storage-modules

%attr(755,root,root) %{_libdir}/%{name}/file-modules/*.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so
%if %{with pgsql}
%exclude %{_libdir}/%{name}/storage-modules/*sql.so
%endif
%attr(755,root,root) %{_libdir}/%{name}/storage-modules/*.so

%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_pixmapsdir}/*.png
%{_datadir}/mime/packages/*.xml
%{_mandir}/man1/planner.1*
%{_omf_dest_dir}/planner-C.omf
%lang(eu) %{_omf_dest_dir}/planner-eu.omf
%{_examplesdir}/%{name}-%{version}
%{_sysconfdir}/gconf/schemas/%{name}.schemas

%files devel
%defattr(644,root,root,755)
%{_libdir}/libplanner-1.la
%attr(755,root,root) %{_libdir}/libplanner-1.so
%{_includedir}/planner-1.0
%{_pkgconfigdir}/*.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libplanner

%if %{with pgsql}
%files storage-pgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/storage-modules/*sql.so
%endif

%files -n python-planner
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/planner*.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: planner.spec,v $
Revision 1.41  2008/10/03 17:45:36  arekm
- release 3

Revision 1.40  2008/08/07 08:22:54  hawk
- build fix, release 2

Revision 1.39  2008/07/11 13:59:20  patrys
- 0.14.3

Revision 1.38  2007-03-14 17:18:00  megabajt
- updated to 0.14.2

Revision 1.37  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.36  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.35  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.34  2006/08/28 05:38:57  freetz
- rel.2 for rebuild with new python

Revision 1.33  2006/08/11 19:41:30  freetz
- removed trailing spaces

Revision 1.32  2006/08/11 19:31:51  freetz
- merged 0.14 update from AC-branch, apidocs subpkg, HEAD deps

Revision 1.31  2005/11/02 18:33:22  paladine
- proper license

Revision 1.30  2005/11/02 18:29:38  paladine
- removed locale_names patch
- added desktop patch
- removed redundant BRs
- fixed %postun
- don't package obsolete application-registry and mime-info dirs
- rel. 4

Revision 1.29  2005/10/30 12:26:40  arekm
- rel 3

Revision 1.28  2005/10/24 17:11:40  jareq
- default compile without pgsql support (it's broken with libgda 1.9)
- rel 2
- STBR

Revision 1.27  2005/10/16 21:32:11  pawcioos
- fixed BR, added TODO

Revision 1.26  2005/10/13 07:46:28  paladine
- moved R: gda-postgres to storage-pgsql subpackage

Revision 1.25  2005/10/11 20:50:59  blekot
- R: gda-postgres (thx. Michał Sułkowski)

Revision 1.24  2005/10/10 22:43:34  qboosh
- drop libgantt-task.la from -devel

Revision 1.23  2005/10/10 21:19:45  pawcioos
- updated to 0.13
- removed bcond sharp (it was removed from sources)

Revision 1.22  2005/05/15 00:20:25  ankry
- %post shouldn't fail if no rw permission to /usr

Revision 1.21  2005/05/13 17:13:28  ankry
- rel. 5 to rebuild with new libhowl

Revision 1.20  2005/01/05 22:17:16  qboosh
- pyrequires_eq for python-; need to recheck main package...

Revision 1.19  2004/12/26 17:23:53  saq
- release 4 for rebuild with python 2.4

Revision 1.18  2004/12/11 00:48:36  ankry
- rel. 3

Revision 1.17  2004/11/14 21:47:41  havner
- rel up for rebuild with python-pygtk

Revision 1.16  2004/09/13 22:00:36  grzegol
- run /usr/bin/update-desktop-database in %%post and %%postun

Revision 1.15  2004/08/29 23:09:12  grzegol
- updated to 0.12.1

Revision 1.14  2004/08/28 18:17:08  grzegol
- added python-planner subpackage
- updated BRs, Rs, strict internal deps
- added update-mime-database and scrollkeeper-update to %%post/%%postun
- fixed %%files

Revision 1.13  2004/07/23 10:44:40  ankry
- disable sharp

Revision 1.11  2004/07/23 08:49:01  ankry
- no -> nb (locale_names patch), rel. 2

Revision 1.10  2004/07/11 13:18:07  jpc
- up to 0.12
- BR should be ok (successfully built in a clean chroot)

Revision 1.9  2003/12/14 17:09:40  grzegol
- removed epoch from requires (there is no epoch)

Revision 1.8  2003/12/08 10:58:04  ankry
- cosmetics

Revision 1.7  2003/12/07 13:48:58  krzak
- rel 1
- po-fix.patch (fix polish translation in desktop file)

Revision 1.6  2003/12/06 23:22:50  wrobell
- removed unnecessary BR

Revision 1.5  2003/12/06 23:09:48  speedy
- BuildRequires: libgsf-devel, libxslt-devel (and even more)
- Fixed bcond (%exclude), added BR: postgresql, postgresql-devel

Revision 1.4  2003/12/05 14:28:41  qboosh
- added -devel subpackage and ldconfig in post
- killed unneeded *.la for modules
- moved some Obsoletes to proper packages

Revision 1.3  2003/12/05 14:13:13  wrobell
- libplanner-1.so is required to run planner app (it is not symlink, just
  unversioned library, now)
- rel. 0.2

Revision 1.2  2003/12/02 23:42:30  qboosh
- pl for subpackage
- Obsoletes for *mrproject* stuff (internal libplanner is continuation of libmroject)

Revision 1.1  2003/12/02 15:37:59  wrobell
- planner is based on mrproject and mrproject is discontinued as I know,
  please remove mrproject and libmrproject from ftp
